/* CORE UI STYLES  */

/* PAGE HEADER STYLES  */
header{
    width: 100%;
    min-width: 300px;
    height: 65px;
}
header.hdrPos {
    height: 85px;
    margin-top: 20px;
}
.headerHldr {
    width: calc(100% - 40px);
    min-width: 300px;
    height: 65px;
    margin: 0;
    padding: 0 20px;
}


.navbutn-hldr {
    height: 45px;
    color: var(--hdrcolor); 
    transition: color 0.5s, box-shadow 0.5s;
}

.nav-hldr {
    width: calc(100% - 290px);     
    height: 65px;
    padding: 0 15px 0 0;
    color: var(--hdrcolor); 
    transition: color 0.5s, box-shadow 0.5s;
}
.navbutn-hldr svg,
.nav-hldr svg {
    filter: var(--svgdropfilter);
    color: var(--svgcolor);
    transition: filter 0.5s, color 0.5s;
}
.navbutn-hldr .navitem svg,
.nav-hldr .moreitem svg {
    color: #FF6600;
}
.navbutn-hldr {
    width: 45px;
    position: relative;
}
.userdisplayname a {
    color: var(--svgcolor);
    text-shadow: var(--textshadowlyt);
    transition: color 0.5s, text-shadow 0.5s;
}
.userdisplayname a:hover {
    color: var(--ahover);
}


.moredroplist,
.mainnavdroplist { 
    display: none;
    opacity: 0;
    background-color: var(--background-color);
    position: absolute;
    left: 30px;
    top: 40px;
    width: max-content;
    box-shadow: 0 0 10px #737b99DD;
    z-index: 1000;
    flex-direction: column;
    transition-property: display opacity;
    transition-duration: 0.3s;
    transition-behavior: allow-discrete;
}

.moredroplist {  
    left: -50px;
    top: 35px; 
}

    /* For desktop hover */
    @media (min-width: 822px) {
        .user-hldr:hover .moredroplist,
        .navbutn-hldr:hover .mainnavdroplist {
            display: flex;
            opacity: 1;

            @starting-style { 
                opacity: 0;
            }
        }
    }

    .user-hldr.active .moredroplist,
    .navbutn-hldr.active .mainnavdroplist {
        display: flex !important; /* Added important to help debug */
        opacity: 1 !important;
        visibility: visible !important;
    }




.moreitem,
.navitem { 
    border-bottom: 1px solid #737b9999;
}
.moreitem.lastitem,
.navitem.lastitem {
    border-bottom: none;
}
.moreitem a,
.navitem a {
    color: var(--text-color);
    padding: 10px 35px 10px 0;
}

.moreitem a {
    padding: 8px 15px 8px 0;
}

.moreitem a:hover,
.navitem a:hover {
    color: #FF6600; 
}


.nav-container {
    width: 100%;
    float:right;
    line-height: 1;
    margin: 0 0 3px;
    gap: 3px 25px;
}

.hdrlogin {
    height: 35px;
    padding: 0 5px 0 0;
}
.hdrlogin a {
}

.userdeets {
    display: flex;
    align-items: center;
    float: right;
    line-height: 1;
    margin: 3px 0 0;
    gap: 3px 17px;
}
.logo-hldr {
    display: flex;
    width: 210px;
    height: 65px;
    align-items: center;
    justify-content: center;
}
.hdr-logo { 
    height: 41px;
}

.ava-hldr {
    float: left;
    display: flex;
    align-items: center;
    height: 40px;
    margin: 0 0 0 20px;
}

.hdrnsearch {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}
.hdrsearch {
    display: flex;
    margin: 2px 0 0 10px;
}

.user-hldr {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 3px 10px;
    position: relative;
}
.useravatar {
    position: relative;
}
.useravatar img {
    width: 35px;
    height: 35px;
    border-radius: 50%;
    opacity: var(--imgopacity);
}
.useravatar::after {
    box-shadow: inset -2px -2px 5px 0 #FFFFFF55, inset 2px 2px 4px 0 rgba(0, 0, 0, 0.6);
    content: '';
    display: block;
    height: 35px;
    width: 35px;
    position: absolute;
    top: 0;
    left: 0;
    border-radius: 50%;
}

.modebutn {
    background: none;
    border: none;
    line-height: 1;
    padding: 6px 8px 3px;
    color: #FF6600;
    margin: 0 0 0 25px;
}

    
.userdeets .modebutn {
    margin: 0 10px 0 0;
}

.modebutn svg {
    filter: none;
}
.modebutn:hover {
    background: #FF6600;
    color: #FFF;
    cursor: pointer;
}
.modebutn:hover svg {
    color: #FFF;
}


.mvrFtr {
    width: calc(100% - 40px);
    margin: 0 auto; 
}
.mvrFtr.reactPg { 
    margin: -50px auto 0;
    display: block;
    height: 230px;
}
.ftrItems {
    padding: 10px 30px;
    min-height: 35px;
}
ul.ftrItemList {
    margin: 0;
    padding: 0;
    display: flex;
    list-style: none;
    align-items: center;
    justify-content: space-evenly;
    font-size: 0.8em;
    flex-wrap: wrap;
    gap: 25px;
}
ul.ftrItemList li {
    display: inline-block;
}
ul.ftrItemList a {
    color: #737b99;
    text-shadow: var(--textshadowlyt);
}
ul.ftrItemList a:hover {
    color: #FF6600;
}
li.ftrListSep {
    font-weight: 800;
    color: #FF6600;
}

.ftrListItem button.wpb-pcf-form-fire:hover {
    cursor: pointer;
}

.ftrButns {
    position: fixed;
    bottom: 0;
    z-index: 10001;
    height: 52px;
    width: 100%;
}
.ftrButnsHldr {
    height: 52px;
    width: 100%;
    position: relative;
}
.butnsHldr {
    height: 42px;
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    /* width: 1320px; */
    width: -webkit-fill-available;
    margin: 0 15px;
    padding: 5px;
    border-radius: 10px 10px 0 0;
}
.butnsLyt {
    opacity: var(--ftrLytOpacity);
    z-index: var(--ftrButnLytIndx);
    background-image: linear-gradient(to right, #E4E4E2 , #E6DEDB);
    box-shadow: 0 -2px 8px #737B9944, inset 2px 4px 3px #FFFFFF99, inset -3px 2px 6px #737B9933;
    transition: opacity 1s;
}
.butnsDrk {
    opacity: var(--ftrDrkOpacity);
    z-index: var(--ftrButnDrkIndx);
    background-image: linear-gradient(to right, #131313 , #1b1813);
    box-shadow: 0 -2px 8px #000000CC, inset 2px 4px 3px #FFFFFF11, inset -3px 2px 6px #FFFFFF22;
    transition: opacity 1s;
}
.ftrButn {
    display: flex;
    width: 16.67%;
    border-left: var(--ftrbrdrlft);
    border-right: 1px solid #737B9955;
    background-color: #737B9900;
    transition: background-color 0.5s, border-left 0.3s;
}
.datingFtr .ftrButn {
    width: calc(20% - 1px);
}
.ftrButn.firstButn {
    border-left: none;
    border-radius: 8px 0 0 0;
}
.ftrButn.lastButn {
    border-right: none;
    border-radius: 0 8px 0 0;
}
.ftrButn:hover {
    background-color: #737B99;
}
.ftrButn a {
    width: 100%;
    padding: 10px 0;
    display: flex; 
    align-items: center;
    justify-content: center;
    gap: 12px;
    color: var(--darksamegrey);
    text-shadow: var(--textshadowlyt);
    transition: text-shadow 0.5s ease;
}
.ftrButn:hover a {
    color: #FFF;
    text-shadow: none;
}
.ftrButn a span {
    font-size: 13px;
    font-weight: 600;
}


/* Regular Content Page - Main Muuver Template  */

article.entry {
    width: calc(100% - 50px);
    margin: 0 25px 45px;
}


/* MAIN CONTENT AREA and COMMON ELEMENT STYLES  */

.fadin-component {
    opacity: 0;
    transition: opacity 500ms ease-in-out;
}
.fadin-component.show {
    opacity: 1;
}

.main-content {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    position: relative;
}

.backarrow {
    display: flex;
    align-items: center;
    margin: 30px 0;
}
.datgam_widebox .backarrow {
    margin: 0;
    position: absolute;
    top: 15px;
    left: 15px;
}
.selectFriend .backarrow,
.rateItemsHolder .backarrow,
.ranklist.backarrow {
    margin: 0;
    position: absolute;
    top: 20px;
    left: -65px;
}
.backarrow a {
    padding: 2px;
    color: #737b99;
    background-color: var(--background-color);
    width: 32px;
    height: 32px;
    border-radius: 50%;
    margin: 0 15px 0 0;
    transition: background-color 0.5s, box-shadow 0.5s;
}
.backarrow a:hover {
    color: #FFF;
    background-color: #FF6600;
}
.dashdr .backarrow {
    margin: 0;
}

.userTag .tooltip,
.infoIcon.tooltip,
.backarrow .tooltip {
    position: relative;
    display: inline-block;
}

.backarrow .tooltip .tooltiptext {
    visibility: hidden;
    width: 80px;
    background-color: #555;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px 0;
    position: absolute;
    z-index: 1;
    bottom: 125%;
    left: 0; 
    opacity: 0;
    transition: opacity 0.3s;
}
.infoIcon.tooltip .tooltiptext {
    visibility: hidden;
    width: 240px;
    background-color: #555;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 8px 10px 10px;
    position: absolute;
    z-index: 1;
    bottom: 125%;
    left: -46px;
    opacity: 0;
    transition: opacity 0.3s;
    font-size: 0.9em;
}
.userTag .tooltip .tooltiptext {
    visibility: hidden;
    width: max-content;
    background-color: #555;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 8px 10px 10px;
    position: absolute;
    z-index: 1;
    bottom: 125%;
    left: 0;
    margin-left: -5px;
    opacity: 0;
    transition: opacity 0.3s;
    font-size: 11px;
}
.userTag .tooltip .tooltiptext::after,
.infoIcon.tooltip .tooltiptext::after,
.backarrow .tooltip .tooltiptext::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 20%;
    margin-left: -3px;
    border-width: 5px;
    border-style: solid;
    border-color: #555 transparent transparent transparent;
}
.userTag .tooltip:hover .tooltiptext,
.infoIcon.tooltip:hover .tooltiptext,
.backarrow .tooltip:hover .tooltiptext {
    visibility: visible;
    opacity: 1;
}

.error404 .page-content {
    width: calc(60% - 40px);
}


[data-theme="dark"] .swal2-popup.swal2-modal.swal2-show {
    background: #171919 !important;
}